#ifndef _Maasto_HPP_
#define _Maasto_HPP_

#include <stdio.h>
#include "../library/externs.hpp"
#include "../library/bpm.hpp"

class Maasto : public Base
{
	public:

		Maasto();
		~Maasto();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        int xres, yres;
        Vector3 *vertices;
        Vector3 *colors;
		void renderScene(float pos, float alpha);
};

#endif
